# OneClickAI Python 패키지

OneClickAI에서 제공하는 교육용 Python 패키지는 인공지능(AI) 학습을 위한 필수 도구들을 손쉽게 설치하고 활용할 수 있도록 도와줍니다. 이 패키지를 통해 TensorFlow, Ultralytics, OpenCV와 같은 필수 라이브러리를 한 번에 설치하고, 추가적인 부가 기능도 손쉽게 통합할 수 있습니다.

## 주요 설치 패키지

- **TensorFlow**  
  구글에서 개발한 오픈소스 딥러닝 라이브러리로, 다양한 머신러닝 모델을 구축하고 훈련할 수 있습니다.

- **Ultralytics**  
  최신 YOLOv8 모델을 제공하는 라이브러리로, 객체 탐지 및 컴퓨터 비전 작업에 활용됩니다.

- **OpenCV**  
  이미지 및 비디오 처리에 널리 사용되는 라이브러리로, 실시간 컴퓨터 비전 애플리케이션 개발에 필수적입니다.

## 설치 방법

아래의 명령어를 통해 OneClickAI 패키지를 설치할 수 있습니다:

```bash
pip install oneclickai
```



# 부가 기능
OneClickAI 패키지는 기본 제공되는 라이브러리 외에도 교육 목적에 맞는 다양한 부가 기능을 지속적으로 추가할 예정입니다.
최신 업데이트 및 추가 기능에 대한 정보는 [OneclickAI 공식 사이트](http://www.oneclickai.co.kr) 를 방문하여 확인하시기 바랍니다.

# 지원 및 문의
사용 중 문의사항이나 지원이 필요하신 경우, [원클릭 에이아이](http://www.oneclickai.co.kr) 문의 페이지를 통해 연락주시기 바랍니다.


<br/><br/><br/><br/><br/><br/>

# OneClickAI Python Package

The **OneClickAI** educational Python package provides essential tools for AI learning, making it easy to install and utilize key libraries.  
With this package, you can install essential libraries such as **TensorFlow**, **Ultralytics**, and **OpenCV** all at once, while also integrating additional features seamlessly.

## Main Installed Packages

- **TensorFlow**  
  An open-source deep learning library developed by Google, used to build and train various machine learning models.

- **Ultralytics**  
  A library providing the latest **YOLOv8** models, widely used for object detection and computer vision applications.

- **OpenCV**  
  A popular library for image and video processing, essential for real-time computer vision applications.

## Installation

To install the **OneClickAI** package, use the following command:

```bash
pip install oneclickai
```

# Additional Features
The OneClickAI package is continuously updated with additional features tailored for educational purposes.
For the latest updates and added functionalities, please visit the [OneclickAI official website](http://www.oneclickai.co.kr).

# Support & Contact
If you have any questions or require support, please visit the [OneclickAI](http://www.oneclickai.co.kr) contact page for assistance.